/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_LEST                                                     */
/* Tabela : LOCALESTOQUE                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 18/06/2001 - Newton Neves dos Santos                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_LEST
BEFORE INSERT OR UPDATE OR DELETE
ON LOCALESTOQUE FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATULEST := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDLOCALESTOQ,0) <> NVL(:NEW.CDLOCALESTOQ,0)) OR
         (NVL(:OLD.DSLOCALESTOQ,0) <> NVL(:NEW.DSLOCALESTOQ,0)) OR
         (NVL(:OLD.CDALMOXARIFE,0) <> NVL(:NEW.CDALMOXARIFE,0)) OR
         (NVL(:OLD.CDFILIAL,0)     <> NVL(:NEW.CDFILIAL,0)) THEN
         :NEW.DTULTATULEST := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('LOCALESTOQUE', :OLD.CDFILIAL, 'CDFILIAL='||:OLD.CDFILIAL||';CDALMOXARIFE='||:OLD.CDALMOXARIFE||';CDLOCALESTOQ='||:OLD.CDLOCALESTOQ||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE LOCALESTOQUE MODIFY DTULTATULEST DEFAULT SYSDATE
/
